class PageVersionDocumentation

This file provides property and method documentation for the model PageVersion.

This file is generated by the XELOS command line tool xf kickstart. It will be overwritten when new kickstart actions are performed.

Add @mixin \XELOS\Modules\Pages\Docs\ClassGenerated\Model\PageVersionDocumentation to the model to get access to the properties.

Properties

int $id
int $page_id
string $title_i18n:

stored in MySQL as varchar

string $layout_i18n:

stored in MySQL as mediumblob

string $status:

enum draft|review|published|history

string $locales:

stored in MySQL as varchar

int $created_at:

stored in MySQL as timestamp

int $created_user_id
int $updated_at:

stored in MySQL as timestamp

int $updated_user_id
string $deleted_at

Methods

PageVersion[]
all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

int
count_all(mixed $sql_params)

Returns the count

int
delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

PageVersion[]
find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Details

at line 34
PageVersion[] all(mixed $sql_params)

Returns all models. Query params can be e.g. order_by

Parameters

mixed $sql_params

Return Value

PageVersion[]

at line 34
int count_all(mixed $sql_params)

Returns the count

Parameters

mixed $sql_params

Return Value

int

at line 34
int delete_by_id(int $id, mixed $sql_params)

Delete rows specified by condition and returns the affected rows.

Parameters

int $id
mixed $sql_params

Return Value

int

at line 34
PageVersion[] find_all_by_id(int|int[] $id, mixed $sql_params)

Returns the first model with the given id. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageVersion[]

at line 34
PageVersion find_by_id(int|int[] $id, mixed $sql_params)

Returns all models by id and ids. Query params can be e.g. order_by

Parameters

int|int[] $id
mixed $sql_params

Return Value

PageVersion